.tips {
    position: absolute;
    width: 380px;
    height: 50px;
    margin-left: calc(100vw/2 - 190px);
    line-height: 50px;
    text-align: center;
    font-size: 20px;
    border-radius: 15px;
    opacity: 0;
    z-index: 99;
}

.tips_success_hidden {
    border: 1px solid #67c23a;
    background-color: #f0f9eb;
    color: #67c23a;
    opacity: 0;
    transform: translateY(-40px);
    animation: animate_move_out 250ms ease-in;
}

.tips_success_show {
    border: 1px solid #67c23a;
    background-color: #f0f9eb;
    color: #67c23a;
    opacity: 0.8;
    transform: translateY(0px);
    animation: animate_move_in 250ms ease-out;
}

.tips_error_hidden {
    border: 1px solid #f56c6c;
    background-color: #fef0f0;
    color: #f56c6c;
    opacity: 0;
    transform: translateY(-40px);
    animation: animate_move_out 250ms ease-in;
}

.tips_error_show {
    border: 1px solid #f56c6c;
    background-color: #fef0f0;
    color: #f56c6c;
    opacity: 0.8;
    transform: translateY(0px);
    animation: animate_move_in 250ms ease-out;
}

@keyframes animate_move_in {
    0% {
        transform: translateY(-40px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 0.8;
    }
}

@keyframes animate_move_out {
    0% {
        transform: translateY(0px);
        opacity: 0.8;
    }

    100% {
        transform: translateY(-40px);
        opacity: 0;
    }
}